var _____WB$wombat$assign$function_____=function(name){return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name))||self[name];};if(!self.__WB_pmw){self.__WB_pmw=function(obj){this.__WB_source=obj;return this;}}{
let window = _____WB$wombat$assign$function_____("window");
let self = _____WB$wombat$assign$function_____("self");
let document = _____WB$wombat$assign$function_____("document");
let location = _____WB$wombat$assign$function_____("location");
let top = _____WB$wombat$assign$function_____("top");
let parent = _____WB$wombat$assign$function_____("parent");
let frames = _____WB$wombat$assign$function_____("frames");
let opens = _____WB$wombat$assign$function_____("opens");
!function(n){woodmartThemeModule.woocommerceQuantity=function(){String.prototype.getDecimals||(String.prototype.getDecimals=function(){var t=(""+this).match(/(?:\.(\d+))?(?:[eE]([+-]?\d+))?$/);return t?Math.max(0,(t[1]?t[1].length:0)-(t[2]?+t[2]:0)):0}),woodmartThemeModule.$document.on("click",".plus, .minus",function(){var t=n(this),a=t.closest(".quantity").find(".qty"),e=parseFloat(a.val()),o=parseFloat(a.attr("max")),r=parseFloat(a.attr("min")),i=a.attr("step");e&&""!==e&&"NaN"!==e||(e=0),""!==o&&"NaN"!==o||(o=""),""!==r&&"NaN"!==r||(r=0),"any"!==i&&""!==i&&void 0!==i&&"NaN"!=parseFloat(i)||(i="1"),t.is(".plus")?o&&o<=e?a.val(o):a.val((e+parseFloat(i)).toFixed(i.getDecimals())):r&&e<=r?a.val(r):0<e&&a.val((e-parseFloat(i)).toFixed(i.getDecimals())),a.trigger("change")})},n(document).ready(function(){woodmartThemeModule.woocommerceQuantity()})}(jQuery);
}